Subject: Re: bug#49204: 28.0.50; How to create new file in project by project-find-file

From: Giap Tran <[email-masked]>
Date: Wed, 30 Jun 2021 11:44:31 +0700

On 6/29/21 8:49 PM, Dmitry Gutov wrote:
>>
> 
> Thanks for the explanations. You previously wrote about Projectile. Does 
> it enable this workflow?

Yes, as I see projectile support this feature by default (1). I used it 
before

> I wonder how we can reconcile this requirement with the "find name at 
> point" behavior: we use whatever string at point that looks similar 
> enough to a file name (or a part of it). To avoid mistakes, we currently 
> even call completing-read again if the first finished input doesn't 
> match any files.
> 
> If the command allows non-matching input, having a default value that 
> doesn't necessarily match any file names exactly will be a problem. 
> Moving it from DEFAULT to INITIAL-INPUT shouldn't make a difference either.

Thanks for clarifying, I will try to override 
project--completing-read-strict func when calling completing-read with 
REQUIRE-MATCH is nil

(1) - 
https://github.com/bbatsov/projectile/blob/6b88b69ecd7e6f2b6bbcae0b68026a486be516a4/projectile.el#L1885